unit utest32b64b;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var
  a: array of double;
  k, j: integer;
  dtIni, dtFin: TDateTime;

begin
  dtIni:= now;
  memo1.Lines.Clear;
  memo1.lines.Add( DateTimeToStr( dtIni ) );
  randomize;
  for k:= 1 to 10000 do
  begin
    setlength( a, 10000 );
    for j:= 0 to high( a ) do
      a[j]:= k * random;
    setlength( a, 0 );
  end;
  dtFin:= now;
  memo1.lines.Add( FloatToStr(( dtFin - dtIni ) * 3600*24) );
end;

end.

